Cancel RFQ

Cancel a Block RFQ. For taker use only.

Endpoint

POST /api/block/rfqs/cancel_rfq

Parameters

Parameter Type Required Description
blockRfqId string true Created unique identifier of the RFQ

Request Example

{
  "rid": 50002,
  "method": "block/rfqs/cancel_rfq",
  "params": {
    "blockRfqId": "253113"
  }
}

Response

Name Type Description
blockRfqId string The exchange created unique identifier of the RFQ
comboId string Unique combo identifier
createdAt long The time in UNIX milliseconds since the epoch when the RFQ was created
expiresAt long The time in UNIX milliseconds since the epoch when the RFQ expires
makers array The exchange Desk Names the RFQ was directed towards. An empty array is returned if role == maker
role string The role of the user to the RFQ. Valid values include taker, maker
legs array The composite Instrument legs of the RFQ
> instrumentName string The Signalplus normalized name of the Instrument to be used across Signalplus's API
> ratio string The relative multiplier applied to the quantity of the Instrument's amount relative to the amount of the RFQ. Maximum of 2 decimal places
> side string The direction of the composite leg relative to the RFQ
hedge object Hedge leg of the Block RFQ. There is only one hedge leg allowed per Block RFQ
> instrumentName string The id of the Signalplus's Instrument
> quantity string This value multiplied by the ratio of a leg gives trade size on that leg
> side string The direction of the leg. Valid values include buy and sell
> price string Hedge leg price
disclosed boolean Indicates whether the RFQ was created as non-anonymous, meaning taker and maker aliases are visible to counterparties
label string RFQ creator label of the RFQ
status string The availability of the RFQ to trade. Valid values: created, open, filled, traded, cancelled, expired, closed, failed
closedReason string The reason the RFQ is no longer available. null if the RFQ's status == open

Response Example

{
  "rid": 50002,
  "result": {
    "blockRfqId": "253113",
    "quantity": "25.0",
    "comboId": "BTC-26JUN26-200000-C",
    "createdAt": 1755153368795,
    "expiresAt": 1755153668795,
    "makers": [
      "SPMAKERTEST"
    ],
    "role": "taker",
    "legs": [
      {
        "instrumentName": "BTC-26JUN26-200000-C",
        "side": "buy",
        "ratio": "1"
      }
    ],
    "status": "cancelled",
    "label": "V2 Integration Test RFQ",
    "disclosed": true,
    "minTradeAmount": "0.1"
  }
}

results matching ""

    No results matching ""